package com.yuyu.srdisassemble.pojo;

import java.time.LocalDateTime;

/**
 * @author 峰。
 * @version 1.0
 * @project SrDisassemble
 * @date 2024/6/17 18:08:55
 * @description 用于新增和接收分解的信息
 */
public class DisassembleData {
    private int id;
    private String playername;
    private LocalDateTime  disassembleTime;
    private String target;
    private String targetIndex;
    private String guiName;
    private int size;

    public DisassembleData() {
    }


    public DisassembleData(String playername, LocalDateTime disassembleTime, String target, String targetIndex, String guiName, int size) {
        this.playername = playername;
        this.disassembleTime = disassembleTime;
        this.target = target;
        this.targetIndex = targetIndex;
        this.guiName = guiName;
        this.size = size;
    }

    public DisassembleData(int id, String playername, LocalDateTime disassembleTime, String target, String targetIndex, String guiName) {
        this.id = id;
        this.playername = playername;
        this.disassembleTime = disassembleTime;
        this.target = target;
        this.targetIndex = targetIndex;
        this.guiName = guiName;
    }

    public String getGuiName() {
        return guiName;
    }

    public void setId(int id) {
        this.id = id;
    }

    public void setPlayername(String playername) {
        this.playername = playername;
    }

    public void setDisassembleTime(LocalDateTime disassembleTime) {
        this.disassembleTime = disassembleTime;
    }

    public void setTarget(String target) {
        this.target = target;
    }

    public void setTargetIndex(String targetIndex) {
        this.targetIndex = targetIndex;
    }

    public void setGuiName(String guiName) {
        this.guiName = guiName;
    }

    public int getId() {
        return id;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public String getPlayername() {
        return playername;
    }

    public LocalDateTime getDisassembleTime() {
        return disassembleTime;
    }

    public String getTarget() {
        return target;
    }

    public String getTargetIndex() {
        return targetIndex;
    }
}
